Arch Truss/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 12: Line 12:
</div>
</div>


<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{GuiCommand/ru
|Name=Arch Truss
|Name=Arch Truss
Line 19: Line 20:
|Version=0.19
|Version=0.19
}}
}}
</div>


==Описание==
==Описание==


The [[Arch Truss]] tool builds a [https://en.wikipedia.org/wiki/Truss truss] object, either from a selected linear object (lie a [[Draft Line]] or [[Sketcher_NewSketch|Sketch]]), or from scratch, if no object is selected when launching the command.
The [[Arch_Truss|Arch Truss]] tool builds a [https://en.wikipedia.org/wiki/Truss truss] object, either from a selected linear object (lie a [[Draft_Line|Draft Line]] or [[Sketcher_NewSketch|Sketch]]), or from scratch, if no object is selected when launching the command.


[[Image:Arch Truss example.png|600px]]
[[Image:Arch Truss example.png|600px]]
Line 32: Line 34:
# Use a workbench of your choice to create a single line
# Use a workbench of your choice to create a single line
# Select that line
# Select that line
# Press the {{Button|[[Image:Arch Truss.svg|16px]] [[Arch Truss]]}} button
# Press the {{Button|[[Image:Arch Truss.svg|16px]] [[Arch_Truss|Arch Truss]]}} button
# Adjust the truss properties to your liking
# Adjust the truss properties to your liking


Line 39: Line 41:


# Make sure nothing is selected
# Make sure nothing is selected
# Press the {{Button|[[Image:Arch Truss.svg|16px]] [[Arch Truss]]}} button
# Press the {{Button|[[Image:Arch Truss.svg|16px]] [[Arch_Truss|Arch Truss]]}} button
# Click in the 3D view to define a first point, or manually enter X, Y and Z coordinates
# Click in the 3D view to define a first point, or manually enter X, Y and Z coordinates
# Click in the 3D view to define a second point, or manually enter X, Y and Z coordinates
# Click in the 3D view to define a second point, or manually enter X, Y and Z coordinates
Line 66: Line 68:
==Scripting==
==Scripting==


The Truss tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
The Truss tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:


{{Code|code=
{{Code|code=

Revision as of 10:49, 14 August 2021

Arch Truss

Системное название
Arch Truss
Расположение в меню
Arch → Truss
Верстаки
Arch
Быстрые клавиши
Нет
Представлено в версии
0.19
См. также
Нет

Описание

The Arch Truss tool builds a truss object, either from a selected linear object (lie a Draft Line or Sketch), or from scratch, if no object is selected when launching the command.

Использование

Creating from a selected object

  1. Use a workbench of your choice to create a single line
  2. Select that line
  3. Press the Arch Truss button
  4. Adjust the truss properties to your liking


Creating from scratch

  1. Make sure nothing is selected
  2. Press the Arch Truss button
  3. Click in the 3D view to define a first point, or manually enter X, Y and Z coordinates
  4. Click in the 3D view to define a second point, or manually enter X, Y and Z coordinates
  5. Adjust the truss properties to your liking

Properties

Data

  • ДанныеTrussAngle: The angle of the truss
  • ДанныеSlantType: The slant type of this truss
  • ДанныеNormal: The normal direction of this truss
  • ДанныеHeightStart: The height of the truss at the start position
  • ДанныеHeightEnd: The height of the truss at the end position
  • ДанныеStrutStartOffset: An optional start offset for the top strut
  • ДанныеStrutEndOffset: An optional end offset for the top strut
  • ДанныеStrutHeight: The height of the main top and bottom elements of the truss
  • ДанныеStrutWidth: The width of the main top and bottom elements of the truss
  • ДанныеRodType: The type of the middle element of the truss
  • ДанныеRodDirection: The direction of the rods
  • ДанныеRodSize: The diameter or side of the rods
  • ДанныеRodSections: The number of rod sections
  • ДанныеRodEnd: If the truss has a rod at its endpoint or not
  • ДанныеRodMode: How to draw the rods

Scripting

The Truss tool can be used in macros and from the Python console by using the following function:

Truss = makeFence([baseobj])

Example:

import FreeCAD
import Draft
import Arch

p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(2000,0,0)
baseline = Draft.makeLine(p1,p2)
truss = Arch.makeTruss(baseline)
truss.HeightStart = 200
truss.HeightEnd = 400
# adjust other needed properties